/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.MaterialResource;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class MatlResBeingUsed {
    public void reserveFromTo() {
    }

    public boolean isAvailableFromDateToDate() {
        return false;
    }

    public Vector listServiceRequests() {
        return new Vector();
    }

    public Vector listServices() {
        return new Vector();
    }

    private int operationalStatus;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     */
    private FacilityMgmt.FacilityUse.FacilityUse lnkUnnamed;
}


